cdist-type__chroot_umount(7)
============================

NAME
----
cdist-type__chroot_umount - unmount a chroot mounted by __chroot_mount


DESCRIPTION
-----------
Undo what __chroot_mount did.


REQUIRED PARAMETERS
-------------------
None


OPTIONAL PARAMETERS
-------------------
manage-resolv-conf
    manage /etc/resolv.conf inside the chroot.
    Use the value of this parameter as the suffix to find the backup file
    that was saved by the __chroot_mount.
    This is used by the to restore the initial file content when unmounting
    the chroot.


BOOLEAN PARAMETERS
------------------
None.


EXAMPLES
--------

.. code-block:: sh

    __chroot_umount /path/to/chroot

    __chroot_umount /path/to/chroot \
      --manage-resolv-conf "some-known-string"


SEE ALSO
--------
:strong:`cdist-type__chroot_mount`\ (7)


AUTHORS
-------
Steven Armstrong <steven-cdist--@--armstrong.cc>


COPYING
-------
Copyright \(C) 2012-2017 Steven Armstrong. You can redistribute it
and/or modify it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.
